| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Gaudi::Functional::Producer< Out(), Traits_ > Class Template Referenceabstract

`#include <GaudiAlg/Producer.h>`

Inheritance diagram for Gaudi::Functional::Producer< Out(), Traits_ >:
[legend]
Collaboration diagram for Gaudi::Functional::Producer< Out(), Traits_ >:
[legend]

## Public Member Functions
StatusCode | execute () override final
virtual Out | operator() () const =0

## Detailed Description

### template<typename Out, typename Traits_>
class Gaudi::Functional::Producer< Out(), Traits_ >

Definition at line 46 of file Producer.h.

## Member Function Documentation

template<typename Out , typename Traits_ >

StatusCode Gaudi::Functional::Producer< Out(), Traits_ >::execute | ( |  | ) |
| inline final override

Definition at line 51 of file Producer.h.

52 {
53 using details::as_const;
54 using details::put;
55 try {
56 put( std::get<0>( this->m_outputs ), as_const( *this )() );
57 } catch ( GaudiException& e ) {
58 this->error() << "Error during transform: " << e.message() << " returning " << e.code() << endmsg;
59 return e.code();
60 }
61 return StatusCode::SUCCESS;
62 }
GaudiException::message
virtual const std::string & message() const
error message to be printed
Definition: GaudiException.h:99
StatusCode::SUCCESS
Definition: StatusCode.h:31
Gaudi::Functional::details::as_const
constexpr std::add_const< T >::type & as_const(T &t) noexcept
Definition: FunctionalDetails.h:104
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:22
GaudiException::code
virtual const StatusCode & code() const
StatusCode for Exception.
Definition: GaudiException.h:119
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209
Gaudi::Functional::details::put
Out1 * put(DataObjectHandle< Out1 > &out_handle, Out2 &&out)
Definition: FunctionalDetails.h:116
template<typename Out , typename Traits_ >

virtual Out Gaudi::Functional::Producer< Out(), Traits_ >::operator() | ( |  | ) | const
| pure virtual

The documentation for this class was generated from the following file:

- GaudiAlg/GaudiAlg/Producer.h